dpkg-statoverride(8)

NAME
dpkg-statoverride - override ownership and mode of files

SYNOPSIS
dpkg-statoverride [options] --add <user> <group> <mode> <file>
dpkg-statoverride [options] --remove <file>
dpkg-statoverride [options] --list [<glob-pattern>]

DESCRIPTION
`stat overrides' are a way to tell dpkg(1) to use a different owner or mode for a file when a package is installed. (note: I use the word `file' here, but in reality this can be any filesystem object that dpkg handles, including directories, devices, etc.). This can be used to force programs that are normally setuid to be install without a setuid flag, or only executable by a certain group.

dpkg-statoverride is a utility to manage the list of stat overrides. It has three basic functions: adding, removing and listing overrides.

OPTIONS

--add <user> <group> <mode> <file>
    Add an override for <file>. <file> does not need to exist when this command is used; the override will be stored and used later. Users and groups can be specified by their name (for example root or nobody), or by their number by prepending the number with a `#' (for example #0 or #65534). If --update is specified and <file> exists, it is immediately set to the new owner and mode.

--remove <file>
    Remove an override for <file>, the status of <file> is left unchanged by this command.

--list [<glob-pattern>]
    List all overrides. If a glob pattern is specified restrict the output to overrides which match the glob. If there are no overrides or none match the glob dpkg-statoverride will exit with an exitcode of 1.

--force
    Force an action, even if a sanity check would otherwise prohibit it. This is necessary to override an existing override.

--update
    Immediately try to change the file to the new owner and mode if it exists.

--quiet
    Be less verbose about what we do.

--help
    Show usage information.

--version
    Show program version and copyright.

--admindir
    Change the directory of the dpkg database where the statoverride file is also stored. Defaults to /var/lib/dpkg.

FILES

/var/lib/dpkg/statoverride
    File which contains the current list of stat overrides of the system. It is located in the dpkg administration directory, along with other files important to dpkg, such as `status' or `available'.
    Note: dpkg-statoverride preserves the old copy of this file, with extension "-old", before replacing it with the new one.

SEE ALSO
dpkg(1).

AUTHOR
Copyright 2000 Wichert Akkerman <wakkerma@debian.org> (mailto:wakkerma@debian.org)

This is free software; see the GNU General Public Licence version 2 or later for copying conditions. There is NO warranty.